<?php

namespace GivePerFormGateways\FormExtension\FormBuilder\ViewModels;


/**
 * @since 2.0.0
 */
class PerFormGatewaysViewModel
{
    /**
     * @since 2.0.0
     *
     * @var array
     */
    public $enabledGateways;

    public function __construct(array $enabledGateways)
    {
        $this->enabledGateways = $enabledGateways;
    }

    /**
     * @since 2.0.0
     */
    public function exports(): array
    {
        $gatewayOptions = [];

        foreach ($this->enabledGateways as $key => $gateway) {
            $gatewayOptions[] = [
                'id' => $key,
                'label' => $gateway['checkout_label'],
                'value' => $key,
                'checked' => true,
            ];
        }

        return [
            'gatewayOptions' => $gatewayOptions,
        ];
    }
}
