<?php

namespace GivePerFormGateways\FormExtension;

use Give\Helpers\Hooks;
use Give\ServiceProviders\ServiceProvider as GiveServiceProvider;
use GivePerFormGateways\FormExtension\DonationForm\Actions\InterceptDonationFormEnabledGateways;
use GivePerFormGateways\FormExtension\FormBuilder\Actions\LoadFormExtensionAssets;
use GivePerFormGateways\FormExtension\FormBuilder\ViewModels\PerFormGatewaysViewModel;


/**
 * @since 2.0.0
 */
class FormExtensionServiceProvider implements GiveServiceProvider
{

    /**
     * @since 2.0.0
     */
    public function register()
    {
        give()->singleton(PerFormGatewaysViewModel::class, static function () {
            $enabledGateways = give_get_enabled_payment_gateways(0, 3);

            return new PerFormGatewaysViewModel($enabledGateways);
        });
    }

    /**
     * @since 2.0.0
     */
    public function boot()
    {
        Hooks::addAction('givewp_form_builder_enqueue_scripts', LoadFormExtensionAssets::class, '__invoke', 10, 2);

        Hooks::addFilter(
            'givewp_donation_form_enabled_gateways',
            InterceptDonationFormEnabledGateways::class,
            '__invoke',
            10,
            2
        );
    }
}
